image: mcr.microsoft.com/dotnet/core/sdk:3.1

stages:
  - build
  - test
  - deploy

build:
  stage: build
  script:
    - dotnet restore
    - dotnet build -c Release
  artifacts:
    paths:
      - ./**/dotnetcore-sample.dll
    expire_in: 1 day

test:
  stage: test
  script:
    - dotnet test -c Release

deploy:
  stage: deploy
  script:
    - dotnet publish -c Release -o /app
  environment: 
    name: production
